
.mobile-menu {
    position: fixed;
    transform: translateX(-100%);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    z-index: 10;
    transition: all 0.2s;
    padding: 16px;
    overflow: scroll;
}

.desktop-logo {
    display: none;
}

.no-scroll {
    overflow: hidden !important;
}
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 100%;
    padding: 1.5rem 1.5rem;
    margin: 0 auto;
}
.uil-search:before {
    font-size: 20px;
}
.top-searches li {
    width: max-content;
    margin: 0;
    padding: 8px 16px;
    display: block;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 24px;
    background-color: #f5f4f7;
    border-radius: 72px;
    text-decoration: none;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: .5px;
    line-height: 24px;
    flex: 0 0 auto;
}
.top-searches li a {
    color: #555a5f;
}
@media (min-width: 768px){
    .tw-h-\[68px\].md\:tw-h-\[84px\] {
        height: 65px;
    }
    .search__container--abs.focused {
        position: absolute;
        width: 100vw;
        top: 48px;
        left: unset;
        transition: none;
    }
    .shopify-section-header:not(.sticky) .search__container--abs.focused {
        height: calc(100vh - 145px);
    }
    .shopify-section-header.sticky .search__container--abs.focused {
        height: calc(100vh - 65px);
    }
    .search__container--abs .search__container--wrapper {
        padding: 24px 16px;
    }
}
@media (min-width: 768px) and (max-width: 1215px){
    .search__container--abs.focused {
        right: -125px;
    }
}
@media (min-width: 1215px) {
    .search__container--abs.focused {
        right: -165px;
    }
}
@media (min-width: 1350px){
    .search__container--abs .page-width {
        width: 55%;
        padding: 0;
    }
}
@media (max-width: 768px) {
    .tw-h-\[68px\].md\:tw-h-\[84px\] {
        height: 150px;
    }
    .mobile-menu__wrapper, .header__logo, .header-utility {
        -ms-flex-preferred-size: 33.33333333%;
        flex-basis: 33.33333333%;
        max-width: 33.33333333%;
    }
    .mobile-search .search__icon {
        padding-bottom: 10px;
        margin-bottom: 10px;
        font-weight: normal;
    }
    .mobile-search .search__icon span {
        color: #9CA3AF;
    }
}

@media (min-width: 1215px) {
    .header {
        padding: 0.6rem 3.5rem;
    }
    .nav__link_parent { 
        padding: 10px 0;
    }
}

@media (min-width: 768px) and (max-width: 1215px) {
     .header {
        padding: 0.6rem 1rem;
    }
}
.header__megamenu, .megamenu {
    left: 0;
    max-width: 1440px;
    width: 100%;
    padding-left: 3.5rem !important;
    padding-right: 3.5rem !important;
    padding-top: 3rem !important;
    padding-bottom: 3rem !important;
    transition: all 0.2s;
    height: 100%;
    height: 55vh;
}
.header__megamenu_right:not(.tw-hidden) {
    flex-direction: column;
    background: #fff;
}
.header__megamenu_right:not(.tw-hidden),
.nav__submenu--regular .nav__submenu--regular.header__submenu_right {
    top: 0;
    left: 20%;
    width: calc(100% - 20%);
    min-height: -webkit-fill-available;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: start;
    gap: 15px;
}
.header__megamenu_right .nav__link__holder {
    position: static !important;
}
.nav__submenu--regular .nav__submenu--regular.header__submenu_right {
    transform: none;
    background: none;
    padding: 3rem 3.5rem !important;
}
.main__navigation a.nav__link:hover,.main__navigation a:hover,.main__navigation a:hover span {
    color: #1d98ed;
}

.header__nav {
    display: none;
}

@media (min-width: 768px) {
    .burger-menu {
        display: none;
    }

    .mobile-menu__wrapper {
        display: none;
    }
    .header-utility {
        width: 33.33%;
    }
    .header__nav {
        display: flex;
        flex-wrap: wrap;
    }
    .desktop-logo {
        display: block;
    }

    .mobile-logo {
        display: none;
    }
}
@media (min-width: 768px) and (max-width: 1110px) {
    nav.main__navigation--center .nav__link_parent {
        font-size: 0.75rem;
    }
}
@media (min-width: 768px) and (max-width: 980px) {
    nav.main__navigation--center .nav__link_parent {
        letter-spacing: -1px;
    }
}
@media (min-width: 1110px) and (max-width: 1365px) {
    nav.main__navigation--center .nav__link_parent {
        font-size: 14px;
    }
}
@media (min-width: 875px) and (max-width: 1400px) {
    nav.main__navigation--center {
        gap: 0.75rem;
    }
}
@media (min-width: 768px) and (max-width: 875px) {
    nav.main__navigation--center {
        width: 36%;
        gap: 0.5rem;
    }
}
@media (min-width: 768px) and (max-width: 1500px) {
    .search__container--abs .page-width {
        max-width: 95%;
    }
}
.header__nav {
    gap: 1.5rem;
}
header .card--default:hover .card__img img {
    transform: none;
}
header .card__img--ratio {
    padding-top: 100%;
}
summary .mobile__submenu__toggle {
    line-height: normal;
    right: 0;
}

.mobile-menu-content {
    height: -webkit-fill-available;
    flex-direction: column;
    justify-content: space-between;
}

.template--collection, 
.template--page\.recovery, 
.template--page\.technology, 
.template--page\.support, 
.template--page\.returns, 
.template--page\.faq,
.template--blog\.medical-board,
.template--blog,
.template--article\.medical-board {
    .shopify-section-header {
      &.sticky {
        position: fixed;
        top: 0;
        width: 100%;
        background-color: white;

        a { 
          color: black;
        }
      }
      background-color: transparent;
    }
  
    .shopify-section-top-info-bar,
    .tw-h-\[68px\].md\:tw-h-\[84px\] {
      display: none;
    }
}

.template--collection,
.template--page\.recovery, 
.template--page\.technology, 
.template--page\.support, 
.template--page\.returns, 
.template--page\.faq,
.template--blog\.medical-board,
.template--blog {
    .shopify-section-header:not(.sticky) a.nav__link_parent,.shopify-section-header:not(.sticky) a.nav__link_parent span,
    .shopify-section-header:not(.sticky) .sitewide-1ds4hv3-createStyledPlaceholder,
    .shopify-section-header:not(.sticky) .sitewide-xy05nl-getStyledKeywordElementLi {
        color: white;
    }
    svg.bi.bi-handbag, 
    .shopify-section-header:not(.sticky) svg.burger-menu path,
    svg#Capa_1 {
        fill: white;
    }
    .shopify-section-header:not(.sticky) span.search__icon svg *,
    .shopify-section-header:not(.sticky) .user__link svg *,
    .shopify-section-header:not(.sticky) .minicart__label svg * {
        stroke: white;
    }
    a.header__logo {
        filter: invert(1);
    }
    .shopify-section-header:not(.sticky) .search__container--inline input {
        border-bottom: 2px solid #fff;
    }
    .shopify-section-header:not(.sticky) .search__container--abs.focused {
        height: calc(100vh - 105px);
    }
}

.sticky a.nav__link_parent,
.sticky svg.bi.bi-handbag,
.sticky svg#Capa_1,
.sticky span.search__icon svg,
.sticky a.header__logo {
    color: initial; /* Resets to default color for links */
    fill: initial; /* Resets to default fill for SVGs */
    filter: initial;
}